usb_gadget_frame_number
Prev | Core Objects and Methods | Next

## Name

usb_gadget_frame_number — returns the current frame number

## Synopsis

`int usb_gadget_frame_number (` | struct usb_gadget * | gadget`)`;

## Arguments

`gadget`

  controller that reports the frame number

## Description

Returns the usb frame number, normally eleven bits from a SOF packet, or negative errno if this device doesn't support this capability.

Prev | Up | Next
gadget_is_otg | Home | usb_gadget_wakeup